Bug 624201 - Validation does not use XML catalog
Summary: Validation does not use XML catalog
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: libxml2 (Show other bugs)
(Show other bugs)
Version: 14
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: F14Target
TreeView+ depends on / blocked
 
Reported: 2010-08-14 11:18 UTC by Nicolas Mailhot
Modified: 2012-08-16 21:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 21:18:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nicolas Mailhot 2010-08-14 11:18:47 UTC
Description of problem:

Fontconfig XML files use the following DTD declaration:
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">

therefore their system identifier is "fonts.dtd"

This identifier is mapped manually to a specific file using the main system XML catalog /etc/xml/catalog (hope to get it inside out fontconfig package soonish)

<system systemId="fonts.dtd" uri="file:///usr/share/xml/fontconfig/fonts.dtd">

However, even though xmllint man page claims that "XML catalogs starting from /etc/xml/catalog are used by default", the following command fails:

# xmllint --valid /etc/fonts/conf.d/60-google-droid-sans-mono.conf > /dev/null
/etc/fonts/conf.d/60-google-droid-sans-mono.conf:2: warning: failed to load external entity "/etc/fonts/conf.d/fonts.dtd"
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
                                        ^
/etc/fonts/conf.d/60-google-droid-sans-mono.conf:3: validity error : Validation failed: no DTD found !
<fontconfig>
           ^

Version-Release number of selected component (if applicable):
libxml2-2.7.7-2.fc14.x86_64

Comment 1 Nicolas Mailhot 2010-08-14 11:20:22 UTC
Should be
<system systemId="fonts.dtd" uri="file:///usr/share/xml/fontconfig/fonts.dtd"/>

Comment 2 Nicolas Mailhot 2010-08-15 10:49:27 UTC
After more testing, I can narrow the bug a little more

xmllint --valid works with the system catalog if one is in the same directory as the tested file

xmllint --valid foo.xml → OK

xmllint --valid only fails if you try to validate a file in some other directory

xmllint --valid bar/foo.xml → NOK

Comment 3 Fedora End Of Life 2012-08-16 21:18:56 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.